<template>
  <ui-password-input
    v-model="model"
    label="Password"
    :hints="[
      'use the button to toggle the password visibility',
      `don’t use “notSafe”`,
    ]"
    :errors="invalid && 'Your password is: notSafe'"
  />
</template>

<script lang="ts" setup>
import { computed, ref } from 'vue'

const model = ref('')
const invalid = computed(() => model.value === 'notSafe')
</script>
